#ifndef _CODEC_H_
#define _CODEC_H_




#define CODEC_REGISTER_SIZE                 2

#define CODEC_REGISTER_SYS_CONTROL          0x2100
#define CODEC_REGISTER_MUTE_CONTROL         0x2200
#define CODEC_REGISTER_SYS_STATUS           0x201
#define CODEC_REGISTER_VIDEO_STATUS         0x301

#define CODEC_REGISTER_SYS_PWR5V        4:4

#define CODEC_REGISTER_PD_HDMI          1:1

#define CODEC_REGISTER_LINK_DE_STATUS   7:6
#define CODEC_REGISTER_LINK_DE_EN           3

#define CODEC_VTIME_NOT_DETECT_STATUS       0xFF
#define CODEC_VTIME_DEFAULT_STATUS          4

#define CODEC_PWR5V_READY_COUNT             100
#define CODEC_READY_COUNT                   0x1000





VOID CODEC_Access_Byte(
    U8      Operation,
    U32     Address,
    PU8     pData
    );


BOOL CODEC_HDMISRC_Detect(
    );


VOID CODEC_Info_Update(
    );


VOID CODEC_Power_Down(
    BOOL Enable
    );


VOID CODEC_Connection_Check(
    );


BOOL CODEC_Status_Detect(
    );


VOID CODEC_I2C_Write(
	U8		Address,
	U8		Reg,
	U8		Data
);

#endif
